/*------------------------------------------------------------------------
----- Search Form
------------------------------------------------------------------------ */
#search-container {
	position: relative;
	padding: 2 * $spacing-unit;
	background-image: url(img/banniere_01_search.png);
	background-position: center;
	background-size: cover;

	&.with-advanced .button {
		right: 30px;
	}
}
#search-container,
.search-container {

	a {
		font-size:.875em;
		text-decoration:none;
		display: inline-block;
		clear: both;
	}

	h2 { 
		@include screen-reader-text;
	}
	button {
		position: relative;
		width: 48px;
		height: 48px;
		padding: 4px;
		margin-left: -3px;
		border: 0;
		border-radius: 0;
		color: $color-light;
		text-indent: -9999px;

		&::after {
			position: absolute;
			top: 0;
			left: 0;
			display: block;
			content: "";
			width: 42px;
			height: 42px;
			text-indent: 0;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 203 203'%3E%3Cpath fill='%23fff' fill-rule='nonzero' d='M148.702 130.85324h-9.4l-3.325-3.20833c14.275-16.65833 21.64166-39.37498 17.6-63.52498C147.98533 31.05328 120.39368 4.64496 87.07702.6033 36.76038-5.58837-5.58128 36.76161.60206 87.07826c4.04166 33.30832 30.44999 60.9083 63.52497 66.49997 24.15 4.04167 46.86665-3.33333 63.51665-17.60832l3.21666 3.33333v9.39166l50.54998 50.55831c4.88333 4.875 12.85 4.875 17.725 0 4.88332-4.875 4.88332-12.85 0-17.72499L148.702 130.85324Zm-71.37497 0c-29.61666 0-53.52498-23.90832-53.52498-53.52498 0-29.62499 23.90832-53.5333 53.52498-53.5333 29.62499 0 53.53331 23.90831 53.53331 53.5333 0 29.61666-23.90832 53.52498-53.53331 53.52498'/%3E%3C/svg%3E");
			background-size: 24px;
			background-position: center;
			background-repeat: no-repeat;
		}
	}

	input[type=text] {
		width: calc(100% - 51px );
		height: 48px;
		margin-bottom: 0;
		border: 0;
	}
}

#search-form,
#solr-search-form {
	position: relative;
	border: 3px solid $bg-border;

	&::after {
		position: absolute;
		bottom: -3px;
		left: -24px;
		content: '';
		display: block;
		width: 200px;
		height: 8px;
		background-color: $bg-tertiary;
	}

	&.with-advanced input[type=text] {
		padding: 5px 70px 5px 10px;
	}
}


// Si l'option de recherche avancée est sélectionnée, attention les styles ne sont pas mis à jour !!!
.show-advanced.button {
	width: 30px;
	text-indent: -9999px;
	display: inline-block;
	position: absolute;
	top: 0;
	right: 0;
	font-weight: bold;
	border-left: 1px solid rgba(255,255,255,.3);
	box-sizing: border-box;


	&:link, &:hover, &:active, &:visited { 
		color: $color-light; 
	}
	&::after {
		content: "\2026";
		display: block;
		text-indent: 0;
		text-align: center;
		margin-top: -1.75em;
	}
}
#advanced-form {
	background-color:$bg-body;
	overflow: auto;
	clear: both;
	z-index: 1001;
	position: absolute;
	top: 30px;
	left: 0;
	border: 1px solid #e7e7e7;
	width: 100%;
	padding: 0 $margin;
	box-sizing: border-box;
	margin-bottom: $spacing-unit;

	&.closed {
		display: none;
	}

	label {
		vertical-align: top;
	}

	input[type="radio"],
	input[type="checkbox"] {
		margin: 3px 10px 3px 0;
	}

	legend {
		padding-top: $spacing-unit;
		margin-bottom: 0;
	}
}

#submit_search_advanced {
	margin-top:5px;
	margin-bottom:5px;
}

// End advanced-search

#search-filters, 
#item-filters {

	ul {
		padding-left: 0;
		list-style-type: none;
		display: inline-block;
		margin: $spacing-unit 0 0 0;
	}

	li {
		display: inline;

		&:after {
			content: " \00B7";
			margin: 0 10px 0 5px;
		}

		&:last-child:after {
			content: "\00A0";
		}
	}

	ul li ul {
		display: inline-block;

		li {
			list-style-type: none;
			display: inline-block;

			&::after { 
				content: ", "; 
			}
			&::last-child:after {
				content: ""; 
			}
		}
	}
}


/*------------------------------------------------------------------------
----- Search Results
------------------------------------------------------------------------ */
.search-results {

	#search-container {
		display: none;
	}
	.search-container {
		margin-bottom: 64px;
	}
	#solr-search-form {
		overflow: visible;
	}

	&__header {
		position: relative;
		padding: 2 * $spacing-unit;
		background-image: url(img/banniere_01_search.png);
		background-position: center;
		background-size: cover;	

		h1 {
			margin-top: 48px;
			margin-bottom: 24px;
			text-align: center;

			&::after {
				content: none;
			}
		}
	}

	&__container {

		@include breakpoint(md) {
			display: grid;
			grid-template-columns: 1fr 3fr;
			grid-column-gap: 2 * $margin;
		}
	}

	&__facets {

		h2 {
			margin: 0 0 40px 0;
			font-weight: normal;
		}

		button {
			background-color: transparent;
			padding: 0;
			border-bottom: 1px solid $bg-border;
			text-transform: uppercase;
			font-weight: 500;
			color: $color-global;
		}
		ul  {
			margin: 0;
			padding-left: 0;
		}
		ul li {
			float: none;
			position: relative;
			min-height: 24px;
			margin-bottom: 12px;
			padding-left: 32px;
			list-style-type: none;
			line-height: 1.25;

			&::before {
				position: absolute;
				left: 0;
				top: 0;
				content: '';
				display: block;
				width: 20px;
				height: 20px;
				border: 2px solid $bg-border;
			}

			a {

				&::before {
					position: absolute;
					left: 7px;
					top: 7px;
					content: '';
					display: block;
					width: 10px;
					height: 10px;
					background-color: $bg-body;
					@include transition;
				}
			}
		}
		.facet-value {
			//display: inline-block;
			padding-top: 4px;
			text-transform: uppercase;
		}
		&.applied a,
		a:hover,
		a:focus {

			&::before {
				background-color: $bg-secondary;
			}
			
		}

		&.applied {

			ul li:last-of-type {
				margin-bottom: 24px;
			}
			.applied-facet {

				&__label {
					text-transform: uppercase;
				}
				&__value {
					text-transform: uppercase;
					font-weight: 600;
				}
				&__remove a {
					box-shadow: inset 0 -3px 0 0  $bg-secondary-cpl;
					font-weight: 500;
			
					&:hover,
					&:focus {
						box-shadow: inset 0 -30px 0 0 lighten($bg-tertiary, 20%);
					}
				}
			}
		}
		.facet-count {
			position: relative;
			margin-left: 8px;
			padding-left: 28px;
			line-height: 1;
			color: $color-grey;

			&::before {
				content: '';
				position: absolute;
				left: 0;
				bottom: 2px;
				display: block;
				width: 24px;
				height: 2px;
				background-color: $bg-border;
			}
		}
	}
}

.results-list {

	&__header {
		display: grid;
		grid-template-columns: 1fr 2fr 2fr;
		grid-column-gap: $margin;
		margin-bottom: 32px;
		border-bottom: 2px solid $bg-border;
	}
	&__number {
		display: flex;
		align-items: center;
		text-transform: uppercase;

		span {
			padding-right: 4px;
			font-weight: 600;
		}
	}
}

.result {
	position: relative;

	&__contents {
		position: relative;
		display: grid;
		grid-template-columns: 1fr 3fr;
		grid-column-gap: $margin;
		padding: 16px 16px 16px 0;
		border-bottom: 2px solid $bg-border;
		@include transition;

		&::after,
		&::before {
			@include yellow-line;
			width: 80%;
			height: 7px;
			background-color: transparent;
		}
		&::before {
			right: 0;
		}
		&::after {
			bottom: 0;
			left: 8%;
		}

		&:hover,
		&:focus-within {
			border-bottom-color: $bg-body;

			&::before,
			&::after {
				background-color: $bg-tertiary;
			}
		}

	}
	&__img {
		position: relative;
		z-index: 2;
		aspect-ratio: 2 / 3;
		overflow: hidden;
		display: flex;
		flex-direction: column;
	}
	&__content {
		font-family: $font-headings;

		&--limited {
			position: relative;
			@include transition;

			&:hover,
			&:focus-within {
				margin: -10px -16px -10px -20%;
				padding: 10px 16px 10px 20%;
				background-color: $bg-primary;
				color: $color-light;
			}
		}

		.label {
			font-family: $font-family;
			font-weight: 500;
			text-transform: uppercase;
		}
		p {
			margin: 0;
		}
	}
	&__title {
		line-height: 1.15;

		a {

			&:hover,
			&:focus {
				color: $color-light;
			}

			&::after {
				content: '';
				position: absolute;
				top: 0;
				bottom: 0;
				left: 0;
				right: 0;
			}
		}
	}
	&__datas {
		display: grid;

		@include breakpoint(sm) {
			grid-template-columns: 1fr 1fr;
			grid-column-gap: $margin;
		}
	}
	&__highlighting {
		margin-top: 24px;

		ul {
			margin: 0;
			
		}
		li {
			list-style-type: none;
		}

		em {
			font-weight: 600;
			font-style: normal;
			background-color: lighten($bg-tertiary, 20%);
		}
		&.block-accordion {

			.accordion-label {
				display: inline-block;
				padding-left: 32px;
				padding-right: 32px;
				border-color: $bg-secondary-cpl;
				text-transform: none;	

				&:hover,
				&:focus {
					border-color: $bg-secondary-cpl;
					box-shadow: inset 0 -2px 0 0 $bg-secondary-cpl;
				}			

				span {
					font-weight: 600;
				}

				&::after {
					right: auto;
					left: 0;
				}
			}
			input[type=checkbox]:checked + .accordion-label {
				border-bottom-color: $bg-secondary-cpl;
				box-shadow: none;
			}
			.accordion-content {
				padding-left: 24px;
				padding-right: 24px;
				background-color: lighten($bg-secondary-cpl,25%);
			}
			input:checked ~ .accordion-content {
				margin-top: -2px;
				border-top: 2px solid $bg-secondary-cpl;
			}
		}
		
	}
}

/* --- SORT ---------------- */

#solr-sort {

	form {
		display: grid;
		grid-template-columns: 1fr max-content;
		height: 100%;
	}

	label {
		display: grid;
		grid-template-columns: 1px calc(100% - 1px);
		align-items: center;
		padding: 0 0 0 2px;
		background-color: $bg-form;
		border: 1px solid $bg-form;
		text-indent: -9999px;
	}
	select {
		padding-left: 32px;
		background-color: $bg-form;
		background-image: none;
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 140 70'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M139.72 0 69.88 69.86 0 0'/%3E%3C/svg%3E");
		background-repeat: no-repeat;
		background-position: left 6px center;
		background-size: 16px;
		border: 0;
		appearance: none;
	}
	button {
		width: auto;
		height: 100%;
		padding: 0 8px;
		background-color: $bg-secondary;
		color: $color-light;
	}
}

/* --- ACCORDION 
-------------------------- */
.block-accordion {	
	width: 100%;
	overflow: hidden;

	input {
		position: absolute;
		opacity: 0;
		z-index: -1;
		top: auto;
		margin: 0;
	}
	input[type=checkbox]:checked + .accordion-label {
		background: transparent;
		border-bottom-color: $bg-primary;
		box-shadow: inset 0 -2px 0 0 $bg-primary;
		color: $color-global;
	}
	input:checked + .accordion-label::after {
		transform: rotate(180deg);
	}
	input:checked ~ .accordion-content {
		max-height: 100%;
		padding-top: 16px;
		padding-bottom: 16px;
	}
	.accordion {

		&-label {
			position: relative;
			display: flex;
			justify-content: space-between;
			padding: 8px 24px 8px 0;
			cursor: pointer;
			border-bottom: 2px solid $bg-border;
			text-transform: uppercase;
			@include transition;

			&:hover,
			&:focus {
				border-bottom-color: $bg-primary;
			}

			&::after {
				content: "";
				position: absolute;
				top: 0;
				right: 0;
				display: block;
				height: 100%;
				width: 24px;
				background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 140 70'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M139.72 0 69.88 69.86 0 0'/%3E%3C/svg%3E");
				background-repeat: no-repeat;
				background-size: 16px;
				background-position: center;
				@include transition;
			}

			span {
				margin: 0 !important;
				@include transition;

			}
		}		

		&-content {
			max-height: 0;
			padding-right: 0;
			padding-left: 0;
			background: white;
			background: transparent;
			color: $color-global;
			@include transition;

			p {
				margin-top: 0;
			}
		}
	}
}

/*#search-filters {
	margin-bottom: $spacing-unit;
}

#search-filters ul {
	margin: 0;
}

#search-filters li li {
	text-transform: lowercase;

	&:after {
		margin: 0 .1em 0 0;
	}
}

#search-results td,
#search-results th {
	vertical-align: top;
	padding: (.5 * $spacing-unit);
}

#search-results .image {
	margin: 0 (.5 * $spacing-unit) 0 0;
}*/